Mark all news as read
const url = 'https://example.com/v1/news/mark_read/';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"title":"example","description":"example","category":"feature","image":"https://example.com","banner_image":"https://example.com","publish_at":"2026-04-15T12:00:00Z","expire_at":"2026-04-15T12:00:00Z","cta_label":"example","cta_url":"example","created_at":"2026-04-15T12:00:00Z"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/news/mark_read/ \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "title": "example", "description": "example", "category": "feature", "image": "https://example.com", "banner_image": "https://example.com", "publish_at": "2026-04-15T12:00:00Z", "expire_at": "2026-04-15T12:00:00Z", "cta_label": "example", "cta_url": "example", "created_at": "2026-04-15T12:00:00Z" }'Mark every currently visible news item as read for the requesting user.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
feature- Featureimprovement- Improvementfix- Fixtip- Tipevent- Event
A published news only becomes visible once this date is reached.
Once this date is reached, the news is no longer visible.
Call-to-action target: a full URL (https://…, opens in a new tab) or a panel-relative path (e.g. /settings/cloud, opens in the app).
object
A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
feature- Featureimprovement- Improvementfix- Fixtip- Tipevent- Event
A published news only becomes visible once this date is reached.
Once this date is reached, the news is no longer visible.
Call-to-action target: a full URL (https://…, opens in a new tab) or a panel-relative path (e.g. /settings/cloud, opens in the app).
object
Responses
Section titled “Responses”A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
feature- Featureimprovement- Improvementfix- Fixtip- Tipevent- Event
A published news only becomes visible once this date is reached.
Once this date is reached, the news is no longer visible.
Call-to-action target: a full URL (https://…, opens in a new tab) or a panel-relative path (e.g. /settings/cloud, opens in the app).
object
Example
{ "category": "feature"}